summaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
authorwu.zhihui <wu.zhihui1@zte.com.cn>2016-09-23 16:53:55 +0800
committerwu.zhihui <wu.zhihui1@zte.com.cn>2016-09-27 11:20:11 +0800
commit1a2b55736da4d18758f81444933181e380202f60 (patch)
treeb6c0dec37b7989456feb82485aed629333e9af36 /docker
parent58ac79cd54821bf8c3891d136be4254aa79bfa08 (diff)
code refactor: run_qtip.sh
1. Add prepare_qtip_image.sh to prepare qtip image before qtip test. 2. Add cleanup_qtip_image.sh to clean up qtip image after finishing qtip test. Both of them are invoked in run_qtip.sh Change-Id: Iba892a2e02e31820ed0525f80a4e2885899557e0 Signed-off-by: wu.zhihui <wu.zhihui1@zte.com.cn>
Diffstat (limited to 'docker')
-rw-r--r--docker/cleanup_qtip_image.sh24
-rw-r--r--docker/prepare_qtip_image.sh49
-rwxr-xr-xdocker/run_qtip.sh66
3 files changed, 100 insertions, 39 deletions
diff --git a/docker/cleanup_qtip_image.sh b/docker/cleanup_qtip_image.sh
new file mode 100644
index 00000000..9c2b59db
--- /dev/null
+++ b/docker/cleanup_qtip_image.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [[ ! -f ${QTIP_DIR}/openrc ]];then
+ source ${REPOS_DIR}/releng/utils/fetch_os_creds.sh \
+ -d ${QTIP_DIR}/openrc \
+ -i ${INSTALLER_TYPE} \
+ -a ${INSTALLER_IP}
+fi
+
+source ${QTIP_DIR}/openrc
+
+cleanup_image()
+{
+ echo
+ if ! glance image-list; then
+ return
+ fi
+
+ echo "Deleting image QTIP_CentOS..."
+ glance image-delete $(glance image-list | grep -e QTIP_CentOS | awk '{print $2}')
+
+}
+
+cleanup_image
diff --git a/docker/prepare_qtip_image.sh b/docker/prepare_qtip_image.sh
new file mode 100644
index 00000000..4095c806
--- /dev/null
+++ b/docker/prepare_qtip_image.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+IMGNAME='QTIP_CentOS.qcow2'
+IMGPATH='/home/opnfv/imgstore'
+IMGURL='http://build.opnfv.org/artifacts.opnfv.org/qtip/QTIP_CentOS.qcow2'
+
+load_image()
+{
+ if [[ -n $( glance image-list | grep -e QTIP_CentOS) ]]; then
+ return
+ fi
+
+ test -d $IMGPATH || mkdir -p $IMGPATH
+ if [[ ! -f "$IMGPATH/$IMGNAME" ]];then
+ echo
+ echo "========== Downloading QTIP_CentOS image =========="
+ cd $IMGPATH
+ wget -c --progress=dot:giga $IMGURL
+ fi
+
+ echo
+ echo "========== Loading QTIP_CentOS image =========="
+ output=$(glance image-create \
+ --name QTIP_CentOS \
+ --visibility public \
+ --disk-format qcow2 \
+ --container-format bare \
+ --file $IMGPATH/$IMGNAME )
+ echo "$output"
+
+ IMAGE_ID=$(echo "$output" | grep " id " | awk '{print $(NF-1)}')
+
+ if [ -z "$IMAGE_ID" ]; then
+ echo 'Failed uploading QTIP_CentOS image to cloud'.
+ exit 1
+ fi
+
+ echo "QTIP_CentOS image id: $IMAGE_ID"
+}
+
+rm -rf ${QTIP_DIR}/openrc
+
+${REPOS_DIR}/releng/utils/fetch_os_creds.sh \
+-d ${QTIP_DIR}/openrc \
+-i ${INSTALLER_TYPE} \
+-a ${INSTALLER_IP}
+
+source ${QTIP_DIR}/openrc
+
+load_image
diff --git a/docker/run_qtip.sh b/docker/run_qtip.sh
index 37eb0ea7..79529e54 100755
--- a/docker/run_qtip.sh
+++ b/docker/run_qtip.sh
@@ -1,40 +1,28 @@
#! /bin/bash
-
-
-
-cp ${REPOS_DIR}/releng/utils/fetch_os_creds.sh ${QTIP_DIR}/data/
-cd ${QTIP_DIR} && source get_env_info.sh \
--n ${INSTALLER_TYPE} \
--i ${INSTALLER_IP}
-
-source ${QTIP_DIR}/opnfv-creds.sh
-
-if [ "$TEST_CASE" == "compute" ]; then
- cd ${QTIP_DIR} && python qtip.py -l default -f compute
- cd ${QTIP_DIR}/data/ref_results/ && python compute_suite.py
-fi
-
-if [ "$TEST_CASE" == "storage" ]; then
- cd ${QTIP_DIR} && python qtip.py -l default -f storage
- cd ${QTIP_DIR}/data/ref_results/ && python storage_suite.py
-fi
-
-if [ "$TEST_CASE" == "network" ]; then
- cd ${QTIP_DIR} && python qtip.py -l default -f network
- cd ${QTIP_DIR}/data/ref_results/ && python network_suite.py
-fi
-
-
-if [ "$TEST_CASE" == "all" ]; then
- cd ${QTIP_DIR} && python qtip.py -l default -f compute
- cd ${QTIP_DIR} && python qtip.py -l default -f storage
- cd ${QTIP_DIR} && python qtip.py -l default -f network
-
- cd ${QTIP_DIR}/data/ref_results/ && python compute_suite.py
- cd ${QTIP_DIR}/data/ref_results/ && python storage_suite.py
- cd ${QTIP_DIR}/data/ref_results/ && python network_suite.py
-fi
-
-
-
-
+run_test_suite()
+{
+ if [ "$TEST_CASE" == "compute" ]; then
+ cd ${QTIP_DIR} && python qtip.py -l default -f compute
+ cd ${QTIP_DIR}/data/ref_results/ && python compute_suite.py
+ elif [ "$TEST_CASE" == "storage" ]; then
+ cd ${QTIP_DIR} && python qtip.py -l default -f storage
+ cd ${QTIP_DIR}/data/ref_results/ && python storage_suite.py
+ elif [ "$TEST_CASE" == "network" ]; then
+ cd ${QTIP_DIR} && python qtip.py -l default -f network
+ cd ${QTIP_DIR}/data/ref_results/ && python network_suite.py
+ elif [ "$TEST_CASE" == "all" ]; then
+ cd ${QTIP_DIR} && python qtip.py -l default -f compute
+ cd ${QTIP_DIR} && python qtip.py -l default -f storage
+ cd ${QTIP_DIR} && python qtip.py -l default -f network
+
+ cd ${QTIP_DIR}/data/ref_results/ && python compute_suite.py
+ cd ${QTIP_DIR}/data/ref_results/ && python storage_suite.py
+ cd ${QTIP_DIR}/data/ref_results/ && python network_suite.py
+ fi
+}
+
+source ${QTIP_DIR}/docker/prepare_qtip_image.sh
+
+run_test_suite
+
+source ${QTIP_DIR}/docker/cleanup_qtip_image.sh